- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHMoveToElement Class Reference
Inheritance diagram for libfreehand::FHMoveToElement:

## Public Member Functions
| FHMoveToElement (double x, double y)
| ~FHMoveToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x
double | m_y

## Constructor & Destructor Documentation

libfreehand::FHMoveToElement::FHMoveToElement | ( | double | x,
|  | double | y
| ) |  |
| inline

libfreehand::FHMoveToElement::~FHMoveToElement | ( |  | ) |
| inline

## Member Function Documentation

libfreehand::FHPathElement * libfreehand::FHMoveToElement::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHMoveToElement::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHMoveToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

double libfreehand::FHMoveToElement::m_x
| private

Referenced by writeOut().

double libfreehand::FHMoveToElement::m_y
| private

Referenced by writeOut().

The documentation for this class was generated from the following file:

- FHPath.cpp